--- dh_auto_configure.orig	2009-05-14 13:36:15.000000000 +0200
+++ dh_auto_configure	2009-05-14 13:49:55.000000000 +0200
@@ -66,9 +66,9 @@
 	error("could not find Source: line in control file.");
 }
 
+my @opts;
 if (-x "configure") {
 	# Standard set of options for configure.
-	my @opts;
 	push @opts, "--build=".dpkg_architecture_value("DEB_BUILD_GNU_TYPE");
 	push @opts, "--prefix=/usr";
 	push @opts, "--includedir=\${prefix}/include";
@@ -89,15 +89,20 @@
 }
 elsif (-e "Makefile.PL") {
 	# If set to a true value then MakeMaker's prompt function will
-	# # always return the default without waiting for user input.
+	# always return the default without waiting for user input.
 	$ENV{PERL_MM_USE_DEFAULT}=1;
-	doit("perl", "Makefile.PL", "INSTALLDIRS=vendor",
-		"create_packlist=0", "--skipdeps", @{$dh{U_PARAMS}});
+	push @opts, "INSTALLDIRS=vendor";
+	# for Module::Build::Compat
+	push @opts, "create_packlist=0"; # detect M::B::C?
+	# for Module::Install
+	push @opts, "--skipdeps" if (-e "inc/Module/Install/AutoInstall.pm");
+	doit("perl", "Makefile.PL", @opts, @{$dh{U_PARAMS}});
 }
 elsif (-e "Build.PL") {
 	$ENV{PERL_MM_USE_DEFAULT}=1; # Module::Build can also use this.
 	$ENV{MODULEBUILDRC} = "/dev/null";
-	doit("perl", "Build.PL", "installdirs=vendor", @{$dh{U_PARAMS}});
+	push @opts, "installdirs=vendor";
+	doit("perl", "Build.PL", @opts, @{$dh{U_PARAMS}});
 }
 
 =head1 SEE ALSO
